' Keypad layout
'
' 1  2  3  Start
' 4  5  6  Prog
' 7  8  9  Set
' -  0  +  Stop
'
'
'
con


  _clkmode = xtal1 + pll16x         ' enable external clock and pll times 16
  _xinfreq = 5_000_000              ' set frequency to 5 MHZ

con

 

obj

  kp   : "Keypad_encoder"                                       ' keypad driver object P0 - P7
  term : "FullDuplexSerial"                                     ' for serial input & output monitoring
  

var


pub main | Pressed_Key

   term.start(31, 30, %0000, 115_200)                            ' start terminal (use PST)
   kp.start(4, 4, 0, 4, 0)                                       ' start keypad driver

   term.str(string("Keypad demo testing... press a key", 13))

   repeat

     Pressed_Key := kp.getkey 
     if Pressed_Key > 0
       term.dec(Pressed_Key)
       term.str(string(13))
   
   
    